Subject: bug#9485: 24.0.50; Frame size and position parameter problems in Windows (and Linux)

From: martin rudalics <[email-masked]>
Date: Fri, 13 Feb 2015 19:57:23 +0100

> Given...
 >
 > (defvar se::frame-config `((fullscreen . fullheight)
 >                             (width . 100)))
 > (setq default-frame-alist (append se::frame-config default-frame-alist))
 > (setq initial-frame-alist (append '((left . (- 0))) se::frame-config initial-frame-alist))
 >
 > ...in .emacs, "runemacs" results to a frame that is neither fullheight
 > nor positioned in the right edge of the screen.  The frame I get is
 > approximately half the height of the screen and it is partly positioned
 > outside (from the right edge) of the screen.
 >
 > The same configuration works in Linux with Emacs 23.1.1 usually but
 > not always.  I just tried "repeat 5; do emacs&; done" and one out
 > of those five failed to resize to fullheight and two out of five
 > were fullheight but they were not located at the top edge/right
 > edge of the screen (y coordinate was around the middle of the
 > screen and the frame was partly outside the screen in x direction
 > as well).

Hi, Hannu

I recently tried to fix a number of related issues and hopefully fixed
this as well.  Can you try again with current master/trunk?

Apologies for the late reply, martin